#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=..\xp-icons\xp-icons\fr0005\ico-32bit\wi0062-24.ico
#AutoIt3Wrapper_outfile=MP_Robocopy.exe
#AutoIt3Wrapper_Add_Constants=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#include <file.au3>

Global $robocopy, $options, $dest, $logg, $source, $what, $runner, $prog_source, $LogFile, $var, $err, $ini, $usbdest, $usbrunner, $dractive

$ini = @ScriptDir & '\robocopy.ini'
$LogFile = @ScriptDir & '\LOG\' & @YDAY & 'ROBOCOPY.log'


If FileExists(@ScriptDir & '\LOG\' & @YDAY & 'ROBOCOPY.log') Then
    FileDelete(@ScriptDir & '\LOG\' & @YDAY & 'ROBOCOPY.log')
EndIf

; Check if ini file exist
If FileExists($ini) Then
    $source = IniRead($ini, "SourceDir", "catalog", "NotFound")
    $dest = IniRead($ini, "DestDir", "catalog", "NotFound")
    $options = IniRead($ini, "RopocopyParamters", "options", "NotFound")
    $logg = '/log:"' & @ScriptDir & '\LOG\' & @YDAY & 'ROBOCOPY.log" ' & IniRead($ini, "RopocopyParamters", "logg", "NotFound")
    $what = IniRead($ini, "RopocopyParamters", "what", "NotFound")
    $active = IniRead($ini, "USB-Drive", "active", "NotFound")
;    $usbdest = IniRead($ini, "USB-Drive", "catalog", "NotFound")
    $dractive = IniRead($ini,"DisplayResault","active","NotFound")
Else
    MsgBox(0, "Errore", "INI file inesistente ")
    Exit
EndIf

;$prog_source = @ScriptDir & '\robocopy.exe'
$robocopy = '"' & @ScriptDir & '\robocopy.exe" '

$runner = ' "' & $source & '" "' & $dest & '" ' & $what & ' ' & $options & ' ' & $logg
;MsgBox(0, "Errore", $runner)
;$usbrunner = ' "' & $dest & '" "' & $usbdest & '" ' & $what & ' ' & $options & ' ' & $logg

; Robocopy job, runs according to settings in Robo-Sync.ini
Sleep(50)
If FileExists($source) Then
	;MsgBox(0,"aa",$robocopy & $runner)
    ;$var = RunWait($robocopy & $runner, @ScriptDir, @SW_HIDE)
	$var = RunWait($robocopy & $runner, @ScriptDir, @SW_HIDE )
	$var = RunWait("cscript sendmail.vbs" & '"' & $LogFile & '"', @ScriptDir, @SW_HIDE )
Else
    MsgBox(0, "Errore", "Sorgente del backup inesistente: ")
EndIf

If $dractive = 0 Then
    $t_LogText = FileRead($LogFile)
    $s_LogText = FileRead(@TempDir&'\_Robo-Sync-Robo.log')
    MsgBox(0,"Robo-Sync Log file: ", $t_LogText & $s_LogText, 25)
EndIf